# InterruptedIOException Class Reference

Inherits IOException.

Inherited by SocketTimeoutException.

List of all members.

## Detailed Description

Signals that an I/O operation has been interrupted.

An InterruptedIOException is thrown to indicate that an input or output transfer has been terminated because the thread performing it was interrupted. The field bytesTransferred indicates how many bytes were successfully transferred before the interruption occurred.

## Public Member Functions

| InterruptedIOException (const LogString &msg)
| InterruptedIOException (const InterruptedIOException &)
InterruptedIOException & | operator= (const InterruptedIOException &)

## Constructor & Destructor Documentation

InterruptedIOException | ( | const LogString & | msg | ) |

InterruptedIOException | ( | const InterruptedIOException & |  | ) |

## Member Function Documentation

InterruptedIOException& operator= | ( | const InterruptedIOException & |  | ) |

The documentation for this class was generated from the following file:

- exception.h